#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/16710.IST216.A.2005.1.ESEMPIO_META.txt", sep="")
Ril216_A2005<- read.delim2 (fileInput,  header=T, sep="\t",  na.strings = ".")
attr(Ril216_A2005, "label") <- c(
"codice impresa",
"codice lavoratore",
"posizione nella professione",
"carattere dell'occupazione",
"ripartizione geografica di lavoro",
"sesso lavoratore",
"classe et lavoratore",
"area geografica paese di nascita lavoratore",
"classe addetti impresa",
"divisione impresa Made in Italy ",
"ripartizione geografica sede dell'impresa",
"classe retribuzione lorda lavoratore",
"classe retribuzione netta lavoratore",
"classe retribuzione netta lavoratore")

QUAL1_R_Fact <- factor(Ril216_A2005$QUAL1_R, 
levels=c("alt", 
"app", 
"dir", 
"imp", 
"ope"), 
labels=c("Altro", 
"Apprendista", 
"Dirigente/Qaudro", 
"Impiegato", 
"Operaio")) 


QUAL3_R_Fact <- factor(Ril216_A2005$QUAL3_R, 
levels=c("det", 
"ind"), 
labels=c("Determinato", 
"Indeterminato")) 


CODRIPL_Fact <- factor(Ril216_A2005$CODRIPL, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


SESSO_Fact <- factor(Ril216_A2005$SESSO, 
levels=c("F", 
"M"), 
labels=c("Femmine", 
"Maschi")) 


ETA_R_Fact <- factor(Ril216_A2005$ETA_R, 
levels=c("<25", 
"25_34", 
"35_44", 
"45_54", 
"55_64", 
">64"), 
labels=c("<25 anni", 
"25-34 anni", 
"35-44 anni", 
"45-54 anni", 
"55-64 anni", 
">64 anni")) 


NAZ_Fact <- factor(Ril216_A2005$NAZ, 
levels=c("C", 
"E", 
"I"), 
labels=c("Comunitari", 
"Extra-comunitari", 
"Italiani")) 


ADD_R_Fact <- factor(Ril216_A2005$ADD_R, 
levels=c("0_5", 
"100_249", 
"10_19", 
"20_99", 
"250_499", 
">500", 
"6_9"), 
labels=c("<=5 addetti", 
"100-249 addetti", 
"10-19 addetti", 
"20-99 addetti", 
"250-499 addetti", 
">=500 addetti", 
"6-9 addetti")) 


DIV_Fact <- factor(Ril216_A2005$DIV, 
levels=c("01", 
"02", 
"05", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"40", 
"41", 
"45", 
"50", 
"51", 
"52", 
"55", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"80", 
"85", 
"90", 
"91", 
"92", 
"93", 
"95", 
"96", 
"97", 
"99"), 
labels=c("AGRICOLTURA, CACCIA E RELATIVI SERVIZI", 
"SILVICOLTURA E UTILIZZAZIONE DI AREE FORESTALI E SERVIZI CONNESSI", 
"PESCA, PISCICOLTURA E SERVIZI CONNESSI", 
"ESTRAZIONE DI CARBON FOSSILE, LIGNITE, TORBA", 
"ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE E SERVIZI CONNESSI, ESCLUSA LA PROSPEZIONE", 
"ESTRAZIONE DI MINERALI DI URANIO E DI TORIO", 
"ESTRAZIONE DI MINERALI METALLIFERI", 
"ALTRE INDUSTRIE ESTRATTIVE", 
"INDUSTRIE ALIMENTARI E DELLE BEVANDE", 
"INDUSTRIA DEL TABACCO", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; PREPARAZIONE, TINTURA E CONFEZIONE DI PELLICCE", 
"PREPARAZIONE E CONCIA DEL CUOIO; FABBRICAZIONE DI ARTICOLI DA VIAGGIO, BORSE, MAROCCHINERIA, SELLERIA E CALZATURE", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO, ESCLUSI I MOBILI; FABBRICAZIONE DI ARTICOLI IN MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DELLA PASTA-CARTA, DELLA CARTA E DEL CARTONE E DEI PRODOTTI DI CARTA", 
"EDITORIA, STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE, RAFFINERIE DI PETROLIO, TRATTAMENTO DEI COMBUSTIBILI NUCLEARI", 
"FABBRICAZIONE DI PRODOTTI CHIMICI E DI FIBRE SINTETICHE E ARTIFICIALI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE E LAVORAZIONE DEI PRODOTTI IN METALLO, ESCLUSI MACCHINE E IMPIANTI", 
"FABBRICAZIONE DI MACCHINE ED APPARECCHI MECCANICI", 
"FABBRICAZIONE DI MACCHINE PER UFFICIO, DI ELABORATORI E SISTEMI INFORMATICI", 
"FABBRICAZIONE DI MACCHINE ED APPARECCHI ELETTRICI N.C.A.", 
"FABBRICAZIONE DI APPARECCHI RADIOTELEVISIVI E DI APPARECCHIATURE PER LE COMUNICAZIONI", 
"FABBRICAZIONE DI APPARECCHI MEDICALI, DI APPARECCHI DI PRECISIONE, DI STRUMENTI OTTICI E DI OROLOGI", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI; ALTRE INDUSTRIE MANIFATTURIERE", 
"RECUPERO E PREPARAZIONE PER IL RICICLAGGIO", 
"PRODUZIONE E DISTRIBUZIONE DI ENERGIA ELETTRICA, DI GAS, DI CALORE", 
"RACCOLTA, DEPURAZIONE E DISTRIBUZIONE D'ACQUA", 
"COSTRUZIONI", 
"COMMERCIO, MANUTENZIONE E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI; VENDITA AL DETTAGLIO DI CARBURANTI PER AUTOTRAZIONE", 
"COMMERCIO ALL'INGROSSO E INTERMEDIARI DEL COMMERCIO, AUTOVEICOLI E MOTOCICLI ESCLUSI", 
"COMMERCIO AL DETTAGLIO, ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI; RIPARAZIONE DI BENI PERSONALI E PER LA CASA", 
"ALBERGHI E RISTORANTI", 
"TRASPORTI TERRESTRI; TRASPORTI MEDIANTE CONDOTTE", 
"TRASPORTI MARITTIMI E PER VIE D'ACQUA", 
"TRASPORTI AEREI", 
"ATTIVIT DI SUPPORTO ED AUSILIARIE DEI TRASPORTI; ATTIVIT DELLE AGENZIE DI VIAGGIO", 
"POSTE E TELECOMUNICAZIONI", 
"INTERMEDIAZIONE MONETARIA E FINANZIARIA (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI E FONDI PENSIONE, ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE", 
"ATTIVIT AUSILIARIE DELL'INTERMEDIAZIONE FINANZIARIA E DELLE ASSICURAZIONI", 
"ATTIVIT IMMOBILIARI", 
"NOLEGGIO DI MACCHINARI E ATTREZZATURE SENZA OPERATORE E DI BENI PER USO PERSONALE E DOMESTICO", 
"INFORMATICA E ATTIVIT CONNESSE", 
"RICERCA E SVILUPPO", 
"ATTIVIT DI SERVIZI ALLE IMPRESE", 
"AMMINISTRAZIONE PUBBLICA", 
"ISTRUZIONE", 
"SANIT E ASSISTENZA SOCIALE", 
"SMALTIMENTO DEI RIFIUTI SOLIDI, DELLE ACQUE DI SCARICO E SIMILI", 
"ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE", 
"ATTIVIT RICREATIVE, CULTURALI E SPORTIVE", 
"SERVIZI ALLE FAMIGLIE", 
"ATTIVIT DI DATORE DI LAVORO PER PERSONALE DOMESTICO SVOLTO DA FAMIGLIE E CONVIVENZE", 
"PRODUZIONE DI BENI PER USO PROPRIO DA PARTE DI FAMIGLIE E CONVIVENZE", 
"PRODUZIONE DI SERVIZI PER USO PROPRIO DA PARTE DI FAMIGLIE E CONVIVENZE", 
"ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI")) 


CODRIP_Fact <- factor(Ril216_A2005$CODRIP, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


CLRETLOR_Fact <- factor(Ril216_A2005$CLRETLOR, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("<=15 mila euro", 
"15-18 mila euro (estremi superiori inclusi)", 
"18-21 mila euro (estremi superiori inclusi)", 
"21-26 mila euro (estremi superiori inclusi)", 
"26-31 mila euro (estremi superiori inclusi)", 
"31-41 mila euro (estremi superiori inclusi)", 
">41 mila euro")) 


CLRETNET_Fact <- factor(Ril216_A2005$CLRETNET, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("<=12 mila euro", 
"12-15 mila euro (estremi superiori inclusi)", 
"15-18 mila euro (estremi superiori inclusi)", 
"18-21 mila euro (estremi superiori inclusi)", 
"21-26 mila euro (estremi superiori inclusi)", 
"26-31 mila euro (estremi superiori inclusi)", 
"31-41 mila euro (estremi superiori inclusi)", 
">41 mila euro")) 

