#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/16710.IST216.A.2008.1.ESEMPIO_META.txt", sep="")
Ril216_A2008<- read.delim2 (fileInput,  header=T, sep="\t",  na.strings = ".")
attr(Ril216_A2008, "label") <- c(
"codice impresa",
"codice lavoratore",
"posizione nella professione",
"carattere dell'occupazione",
"ripartizione geografica di lavoro",
"sesso lavoratore",
"classe et lavoratore",
"area geografica paese di nascita lavoratore",
"classe addetti impresa",
"divisione impresa Made in Italy ",
"ripartizione geografica sede dell'impresa",
"classe retribuzione lorda lavoratore",
"classe retribuzione netta lavoratore",
"classe retribuzione netta lavoratore")

QUAL1_R_Fact <- factor(Ril216_A2008$QUAL1_R, 
levels=c("alt", 
"app", 
"dir", 
"imp", 
"ope"), 
labels=c("Altro", 
"Apprendista", 
"Dirigente/Qaudro", 
"Impiegato", 
"Operaio")) 


QUAL3_R_Fact <- factor(Ril216_A2008$QUAL3_R, 
levels=c("det", 
"ind"), 
labels=c("Determinato", 
"Indeterminato")) 


CODRIPL_Fact <- factor(Ril216_A2008$CODRIPL, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


SESSO_Fact <- factor(Ril216_A2008$SESSO, 
levels=c("F", 
"M"), 
labels=c("Femmine", 
"Maschi")) 


ETA_R_Fact <- factor(Ril216_A2008$ETA_R, 
levels=c("<25", 
"25_34", 
"35_44", 
"45_54", 
"55_64", 
">64"), 
labels=c("<25 anni", 
"25-34 anni", 
"35-44 anni", 
"45-54 anni", 
"55-64 anni", 
">64 anni")) 


NAZ_Fact <- factor(Ril216_A2008$NAZ, 
levels=c("C", 
"E", 
"I"), 
labels=c("Comunitari", 
"Extra-comunitari", 
"Italiani")) 


ADD_R_Fact <- factor(Ril216_A2008$ADD_R, 
levels=c("0_5", 
"100_249", 
"10_19", 
"20_99", 
"250_499", 
">500", 
"6_9"), 
labels=c("<=5 addetti", 
"100-249 addetti", 
"10-19 addetti", 
"20-99 addetti", 
"250-499 addetti", 
">=500 addetti", 
"6-9 addetti")) 


DIV_Fact <- factor(Ril216_A2008$DIV, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI", 
"SILVICOLTURA ED UTILIZZO DI AREE FORESTALI", 
"PESCA E ACQUACOLTURA", 
"ESTRAZIONE DI CARBONE (ESCLUSA TORBA)", 
"ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE", 
"ESTRAZIONE DI MINERALI METALLIFERI", 
"ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE", 
"ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE", 
"INDUSTRIE ALIMENTARI", 
"INDUSTRIA DELLE BEVANDE", 
"INDUSTRIA DEL TABACCO", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA", 
"FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA", 
"STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO", 
"FABBRICAZIONE DI PRODOTTI CHIMICI", 
"FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)", 
"FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI", 
"FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE", 
"FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI", 
"ALTRE INDUSTRIE MANIFATTURIERE", 
"RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE", 
"FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA", 
"RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA", 
"GESTIONE DELLE RETI FOGNARIE", 
"ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI", 
"ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI", 
"COSTRUZIONE DI EDIFICI", 
"INGEGNERIA CIVILE", 
"LAVORI DI COSTRUZIONE SPECIALIZZATI", 
"COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI", 
"COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE", 
"TRASPORTO MARITTIMO E PER VIE D'ACQUA", 
"TRASPORTO AEREO", 
"MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI", 
"SERVIZI POSTALI E ATTIVIT DI CORRIERE", 
"ALLOGGIO", 
"ATTIVIT DEI SERVIZI DI RISTORAZIONE", 
"ATTIVIT EDITORIALI", 
"ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE", 
"ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE", 
"TELECOMUNICAZIONI", 
"PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE", 
"ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI", 
"ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)", 
"ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE", 
"ATTIVIT IMMOBILIARI", 
"ATTIVIT LEGALI E CONTABILIT", 
"ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE", 
"ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE", 
"RICERCA SCIENTIFICA E SVILUPPO", 
"PUBBLICIT E RICERCHE DI MERCATO", 
"ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE", 
"SERVIZI VETERINARI", 
"ATTIVIT DI NOLEGGIO E LEASING OPERATIVO", 
"ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE", 
"ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE", 
"SERVIZI DI VIGILANZA E INVESTIGAZIONE", 
"ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO", 
"ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE", 
"AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA", 
"ISTRUZIONE", 
"ASSISTENZA SANITARIA", 
"SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE", 
"ASSISTENZA SOCIALE NON RESIDENZIALE", 
"ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO", 
"ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI", 
"ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO", 
"ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO", 
"ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE", 
"RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA", 
"ALTRE ATTIVIT DI SERVIZI PER LA PERSONA", 
"ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO", 
"PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE", 
"ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI")) 


CODRIP_Fact <- factor(Ril216_A2008$CODRIP, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


CLRETLOR_Fact <- factor(Ril216_A2008$CLRETLOR, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("<=15 mila euro", 
"15-18 mila euro (estremi superiori inclusi)", 
"18-21 mila euro (estremi superiori inclusi)", 
"21-26 mila euro (estremi superiori inclusi)", 
"26-31 mila euro (estremi superiori inclusi)", 
"31-41 mila euro (estremi superiori inclusi)", 
">41 mila euro")) 


CLRETNET_Fact <- factor(Ril216_A2008$CLRETNET, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("<=12 mila euro", 
"12-15 mila euro (estremi superiori inclusi)", 
"15-18 mila euro (estremi superiori inclusi)", 
"18-21 mila euro (estremi superiori inclusi)", 
"21-26 mila euro (estremi superiori inclusi)", 
"26-31 mila euro (estremi superiori inclusi)", 
"31-41 mila euro (estremi superiori inclusi)", 
">41 mila euro")) 

